static const char _rcsid_[]="$Id: filan_main.c,v 1.4 2001/06/30 14:04:18 gerhard Exp $";
/* Copyright Gerhard Rieger 2001 */
/* Published under the GNU General Public License V.2, see file COPYING */

#include <stdlib.h>	/* strtoul() */
#include <string.h>
#include <stdio.h>
#include "mytypes.h"
#include "error.h"
#include "filan.h"


int main(int argc, const char *argv[]) {
   const char **arg1;
   unsigned int n = 1024;	/* this is default on my Linux */
   unsigned int i;

   diag_set('p', strchr(argv[0], '/') ? strrchr(argv[0], '/')+1 : argv[0]);

   arg1 = argv+1;  --argc;
   while (arg1[0] && (arg1[0][0] == '-')) {
      switch (arg1[0][1]) {
#if LATER
      case '?': filan_usage(stdout); exit(0);
      case 'V': filan_version(stdout); exit(0);
#endif
      case 'l': diag_set(arg1[0][2], &arg1[0][3]); break;
      case 'd': diag_set('d', NULL); break;
      case 'n': n = strtoul(&arg1[0][2], NULL, 0); break;
      case '\0': break;
      default: Error1("unknown option %s", arg1[0]);
#if 0
	 filan_usage(stderr);
#endif
	 exit(1);
      }
      if (arg1[0][1] == '\0')
	 break;
      ++arg1; --argc;
   }
   if (argc != 0) {
      Error1("%d superfluous arguments", argc);
#if 0
      filan_usage(stderr);
#endif
      exit(1);
   }
   for (i = 0; i < n; ++i) {
      filan(i, stdout);
   }
   return 0;
}
